#include <QJsonDocument>
#include <QJsonObject>

#include "Session.h"

namespace hws
{
    Session::Session()
        : mUrl(),
          mUser(),
          mTicket()
    {
    }

    Session::Session(const Session & s)
        : mUrl(s.mUrl),
          mUser(s.mUser),
          mTicket(s.mTicket)
    {
    }

    Session::~Session()
    {
    }

    Session& Session::operator=(const Session & s)
    {
        setUrl(s.url());
        setUser(s.user());
        setP4Ticket(s.p4Ticket());

        return *this;
    }

    const QUrl& Session::url() const
    {
        return mUrl;
    }

    void Session::setUrl(const QUrl & url)
    {
        mUrl = url;
    }

    const QString& Session::user() const
    {
        return mUser;
    }

    void Session::setUser(const QString & user)
    {
        mUser = user;
    }

    const QString& Session::p4Ticket() const
    {
        return mTicket;
    }

    void Session::setP4Ticket(const QString & ticket)
    {
        mTicket = ticket;
    }
}